petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCBDDCSetLevels

Sets the maximum number of additional levels allowed for multilevel BDDC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetLevels(PC pc,PetscInt levels)

Logically collective on PC

### Input Parameters

| pc | - the preconditioning context
| levels | - the maximum number of levels

### Options Database Keys

-pc_bddc_levels -

### Notes

The default value is 0, that gives the classical two-levels BDDC

### See Also

PCBDDC, PCBDDCSetCoarseningRatio()

### Level

intermediate

### Location

src/ksp/pc/impls/bddc/bddc.c

### Implementations

PCBDDCSetLevels_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages